# Project Template Expense Budgets

Project Template Expense Budgets are expense budgets configured in a
project template that are added to a project when the template is applied.

## Fetching a list of Project Template Expense Budgets

 - [GET /project_template_expense_budgets](https://developer.kantata.com/kantata/specification/project-template-expense-budgets/get-project-template-expense-budgets.md): This endpoint returns structured Project Template Expense Budget objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the project_template_expense_budgets top-level JSON key.
Please see our Response Format section for more information.

## Creating a new Project Template Expense Budget

 - [POST /project_template_expense_budgets](https://developer.kantata.com/kantata/specification/project-template-expense-budgets/create-project-template-expense-budget.md): Adds an expense budget to a project template.

Bulk Create

This endpoint supports bulk creating up to 100 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "project_template_expense_budgets": [
    {
      "project_template_id": 123,
      "title": "Expense",
      "billable": true,
      "burns_budget": true,
      "fixed_fee": false,
      "cost_per_unit_in_subunits": 10000,
      "markup_type": "percentage",
      "markup_percentage": 10,
      "quantity": 1
    },
    {
      "project_template_id": 123,
      "title": "Expense 2",
      "billable": true,
      "burns_budget": true,
      "fixed_fee": false,
      "cost_per_unit_in_subunits": 20000,
      "markup_type": "percentage",
      "markup_percentage": 10,
      "quantity": 1
    }
  ]
}              



This endpoint returns structured Project Template Expense Budget objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the project_template_expense_budgets top-level JSON key.
Please see our Response Format section for more information.

## Fetching a single Project Template Expense Budget

 - [GET /project_template_expense_budgets/{id}](https://developer.kantata.com/kantata/specification/project-template-expense-budgets/get-project-template-expense-budget.md): This endpoint returns structured Project Template Expense Budget objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the project_template_expense_budgets top-level JSON key.
Please see our Response Format section for more information.

## Updating an existing Project Template Expense Budget

 - [PUT /project_template_expense_budgets/{id}](https://developer.kantata.com/kantata/specification/project-template-expense-budgets/update-project-template-expense-budget.md): This endpoint returns structured Project Template Expense Budget objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the project_template_expense_budgets top-level JSON key.
Please see our Response Format section for more information.

## Deleting an existing Project Template Expense Budget

 - [DELETE /project_template_expense_budgets/{id}](https://developer.kantata.com/kantata/specification/project-template-expense-budgets/delete-project-template-expense-budget.md): Removes an expense budget from a project template.


The response will contain no content and an HTTP 204 status code if the request was
successful, or a standard Kantata OX error message explaining why the object could not be deleted.

